%define post_apacheconf		/sbin/service httpd condreload
%define postun_apacheconf	/sbin/service httpd condreload
%define appname	smartsieve
%define appvers	0.5.2
%define appcvs	20051129

Name:		%appname
Version:	%appvers.%appcvs
#for Sisyphus:
#Release:	alt1
#for Backports M2.4:
Release:	alt0.M24.1
#for Backports M3.0:
#Release:	alt0.M30.1
Summary:	%appname - a web based graphical user interface for creating and managing Sieve scripts on a Cyrus-imap mail server.
Summary(ru_RU.KOI8-R):	%appname -    Sieve  Cyrus-imap .

License:	GNU
Group:		Networking/Mail

%define daname %name

%define apache_group apache
%define webmaster_group webmaster
%define webmaster_user root
%define apache_home %_var/www/html
%define appdir %apache_home/%daname

Prefix: %apache_home

URL:		http://smartsieve.sourceforge.net
Source0:	%appname-%version.tar.bz2

Requires:	apache-common, php-mcrypt

BuildArch:	noarch

%description
%name - a web based graphical user interface for creating and 
managing Sieve scripts on a Cyrus imap mail server. It provides a 
way for non-technical Cyrus imap users to generate Sieve rules for 
mail filtering and vacation messaging without prior knowledge of the 
Sieve scripting language. SmartSieve is written in PHP and is 
intended to be intuitive to use, and simple to configure.

SmartSieve will be of interest to institutions running Cyrus imapd 
to provide imap based mail access and who require a user-friendly 
way for users to manage mail filtering and vacation messaging. It 
will be of particular interest to those currently deploying Websieve 
for this purpose. SmartSieve is compatible with Websieve in that 
Sieve scripts created using Websieve can be read and modified using 
SmartSieve, and visa-versa.

SmartSieve is not a Sieve script 'parser'. It cannot directly read 
and understand the Sieve language itself. For this reason, the GUI 
will only work for Sieve scripts created by SmartSieve. Other 
non-SmartSieve scripts can be edited in SmartSieve's direct edit 
mode.

%prep
%setup -q -n %appname

%build

%install

# Any files
%__install -pd -m3770 %buildroot%appdir

#__cp -aRf css %buildroot%appdir/

%__install -m644 *.php %buildroot%appdir/
%__cp -aRf conf images include lib scripts %buildroot%appdir/

%post
%post_apacheconf

%preun
%postun_apacheconf

%files
%defattr(644, %webmaster_user, %webmaster_group,755)

%config(noreplace) %appdir/conf/*.php

%attr(755, %webmaster_user, %webmaster_group) %appdir/scripts/*.pl

%appdir

%doc README CHANGES INSTALL NOTICE TODO

%changelog
* Mon Dec 05 2005 Aleksey Avdeev <solo@altlinux.ru> 0.5.2.20051129-alt0.M24.1
- Backports for M24

* Mon Dec 05 2005 Aleksey Avdeev <solo@altlinux.ru> 0.5.2.20051129-alt1
- cvs snapshot 20051129 (see CHANGES)

* Thu Nov 24 2005 Aleksey Avdeev <solo@altlinux.ru> 0.5.2.20051116-alt1
- cvs snapshot 20051116 (see CHANGES)
- set requires apache -> apache-common
- resolved PHP Note

* Thu Apr 14 2005 Aleksey Avdeev <solo@altlinux.ru> 0.5.2.20050321-alt1
- first rpm distribution.
- cvs snapshot 20050321.

